/* 
 * File:   spi.h
 * Author: Daniel
 *
 * Created on January 12, 2013, 8:55 PM
 */

#ifndef SPI_H
#define	SPI_H

#ifdef	__cplusplus
extern "C" {
#endif

unsigned char spiSendByte(unsigned char data);
unsigned char spiSendCommand(unsigned char command, unsigned char data);
unsigned char spiSendCommand2(unsigned char command, unsigned char data, unsigned char data2);
unsigned char spiSendBurstCommand(unsigned char command, unsigned char* data, unsigned char length);
unsigned char spiReceiveBurstData(unsigned char command, unsigned char* data, unsigned char length);
unsigned char spiTransfer(volatile unsigned char data);

#define SPI_IRQ PORTBbits.RB9
#define SPI_CS  PORTBbits.RB15


#ifdef	__cplusplus
}
#endif

#endif	/* SPI_H */

